Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.manager
Class TransactionDocument_2_0_2

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcbase.OGCDocument
              org.deegree.ogcwebservices.csw.AbstractCSWRequestDocument
                  org.deegree.ogcwebservices.csw.manager.TransactionDocument
                      org.deegree.ogcwebservices.csw.manager.TransactionDocument_2_0_2

All Implemented Interfaces:
  Serializable

    public class TransactionDocument_2_0_2

extends TransactionDocument

Version:
  $Revision: 6251 $, $Date: 2007-03-19 16:59:28 +0100 (Mo, 19 Mrz 2007) $
Author:
  Andreas Poth, last edited by: $Author: poth $
See Also:
  Serialized Form

Field Summary
`protected static ILogger` | `LOG`

Fields inherited from class org.deegree.ogcbase.OGCDocument
`GMLNS`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`TransactionDocument_2_0_2()` initializes an empty TransactionDocument
`TransactionDocument_2_0_2(Element transRoot)` initializes a TransactionDocument by reading a DOM object from the passed

Method Summary
`void` | `createEmptyDocument()`
`Transaction` | `parse(String id)` parses a CS-W 2.0 transaction request

Methods inherited from class org.deegree.ogcwebservices.csw.AbstractCSWRequestDocument
`parseDRMParams`

Methods inherited from class org.deegree.ogcbase.OGCDocument
`parseCodeList, parseCodeListArray, parseExtendedPropertyPath, parseInterval, parseKeywords, parseKeywords, parseLonLatEnvelope, parseOnLineResource, parsePropertyPath, parseTimePeriod, parseTimePeriods, parseTimePositions, parseTimeSequence, parseTypedLiteral, parseValues`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LOG

    protected static final ILogger LOG

Constructor Detail

### TransactionDocument_2_0_2

    public TransactionDocument_2_0_2()

  initializes an empty TransactionDocument

### TransactionDocument_2_0_2

    public TransactionDocument_2_0_2(Element transRoot)
                              throws XMLException

  initializes a TransactionDocument by reading a DOM object from the passed

  Parameters:
    `transRoot` -
  Throws:
    `XMLException`
  See Also:
    `InputStream`

Method Detail

### createEmptyDocument

    public void createEmptyDocument()

  Overrides:
    `createEmptyDocument` in class `TransactionDocument`

### parse

    public Transaction parse(String id)
                      throws XMLParsingException,
                             OGCWebServiceException

  parses a CS-W 2.0 transaction request

  Overrides:
    `parse` in class `TransactionDocument`
  Parameters:
    `id` - of the TransactionRequest
  Returns:
    a new transaction parsed from the this xml-encoded request.
  Throws:
    `XMLParsingException`
    `OGCWebServiceException`
    `InvalidParameterValueException`
    `MissingParameterValueException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org